Documentation Index Fetch the complete documentation index at: https://reverielanguagetechnologies.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
domain
This field identifies your use case type and set of the terminology defined for transcription. e.g. for general audio is ‘generic’. Refer to Supporting Domain to see the available domains.
For Example :
curl --location --request POST 'https://revapi.reverieinc.com/upload' \
--header 'src_lang: hi' \
--header 'domain: generic' \
--header 'REV-API-KEY: <YOUR API KEY>' \
--header 'REV-APPNAME: stt_batch' \
--header 'REV-APP-ID: <YOUR API-ID>' \
--form 'file=@"<File Path>"'
subtitles
Enables subtitling from the audio file.
For Example :
subtitles = true
subtitles = false
curl --location --request POST 'https://revapi.reverieinc.com/upload' \
--header 'src_lang: hi' \
--header 'domain: generic' \
--header 'REV-API-KEY: <YOUR API KEY>' \
--header 'REV-APPNAME: stt_batch' \
--header 'REV-APP-ID: <YOUR API-ID>' \
--header 'subtitles: true' \
--form 'file=@"<File Path>"'
Response :
subtitles = true
subtitles = false
{
"job_id" : "e21f356d-cbf9-4d62-a960-1e9da1805d19" ,
"code" : "000" ,
"message" : "Transcript ready." ,
"result" : {
"transcript" : "Hello. Welcome to Reverie." ,
"original_transcript" : "HELLO. WELCOME TO REVERIE." ,
"channel_number" : 1 ,
"subtitles" : "1 \n 00:00:00,090 --> 00:00:06,900 \n HELLO. WELCOME TO REVERIE. \n\n "
}
}